additionalProperties:
  formFields:
    - default: 3000
      envKey: PANEL_APP_PORT_HTTP
      labelEn: Port
      labelZh: HTTP 端口
      required: true
      rule: paramPort
      type: number
      label:
        en: HTTP Port
        ja: HTTP ポート
        ms: HTTP Port
        pt-br: HTTP Porta
        ru: HTTP Порт
        ko: HTTP 포트
        zh-Hant: HTTP 埠
        zh: HTTP 端口
    - default: postgresql
      envKey: PANEL_DB_TYPE
      labelEn: Database Service
      labelZh: 数据库服务
      required: true
      type: apps
      child:
        default: ""
        envKey: PANEL_DB_HOST
        required: true
        type: service
      values:
        - label: PostgreSQL
          value: postgresql
      label:
        en: Database Service
        ja: データベースサービス
        ms: Perkhidmatan Pangkalan Data
        pt-br: Serviço de Banco de Dados
        ru: Сервис баз данных
        ko: 데이터베이스 서비스
        zh-hant: 資料庫服務
        zh: 数据库服务
    - default: teable
      envKey: PANEL_DB_NAME
      labelEn: Database
      labelZh: 数据库名
      random: true
      required: true
      rule: paramCommon
      type: text
      label:
        en: Database
        ja: データベース
        ms: Pangkalan Data
        pt-br: Banco de Dados
        ru: База данных
        ko: 데이터베이스
        zh-hant: 資料庫
        zh: 数据库
    - default: teable
      envKey: PANEL_DB_USER
      random: true
      required: true
      rule: paramCommon
      type: text
      labelEn: Database User
      labelZh: 数据库用户
      label:
        en: Database User
        ja: データベースユーザー
        ms: Pengguna Pangkalan Data
        pt-br: Usuário do Banco de Dados
        ru: Пользователь базы данных
        ko: 데이터베이스 사용자
        zh-hant: 資料庫用戶
        zh: 数据库用户
    - default: teable
      envKey: PANEL_DB_USER_PASSWORD
      random: true
      required: true
      type: password
      labelEn: Database Password
      labelZh: 数据库密码
      label:
        en: Database Password
        ja: データベースのパスワード
        ms: Kata Laluan Pangkalan Data
        pt-br: Senha do Banco de Dados
        ru: Пароль базы данных
        ko: 데이터베이스 비밀번호
        zh-hant: 資料庫密碼
        zh: 数据库密码
    - default: ""
      edit: true
      envKey: PANEL_REDIS_HOST
      key: redis
      labelEn: Redis Service
      labelZh: 缓存服务服务
      required: true
      type: service
      label:
        en: Redis Service
        ja: Redis サービス
        ms: Perkhidmatan Redis
        pt-br: Serviço Redis
        ru: Сервис Redis
        ko: Redis 서비스
        zh-Hant: Redis 服務
        zh: Redis 服务
    - default: ""
      edit: true
      envKey: PANEL_REDIS_ROOT_PASSWORD
      labelEn: Redis service password
      labelZh: Redis 服务密码
      required: true
      type: password
      label:
        en: Redis service password
        ja: Redis サービスのパスワード
        ms: Kata laluan perkhidmatan Redis
        pt-br: Senha do serviço Redis
        ru: Пароль службы Redis
        ko: Redis 서비스 비밀번호
        zh-Hant: Redis 服務密碼
        zh: Redis 服务密码
    - default: http://<YOUR IP>:3000
      edit: true
      envKey: PUBLIC_ORIGIN
      labelEn: PUBLIC ADDRESS (Default server IP)
      labelZh: 公开访问地址（默认服务器 IP）
      label:
        en: PUBLIC ADDRESS (Default server IP)
        ja: パブリックアドレス（デフォルトのサーバーIP）
        ms: ALAMAT PUBLIK (IP Pelayan Lalai)
        pt-br: ENDEREÇO PÚBLICO (IP do servidor padrão)
        ru: ПУБЛИЧНЫЙ АДРЕС (IP сервера по умолчанию)
        ko: 공개 주소 (기본 서버 IP)
        zh-hant: 公開訪問地址（預設伺服器 IP）
        zh: 公开访问地址（默认服务器 IP）
      required: true
      rule: paramExtUrl
      type: text
    - default: Asia/Shanghai
      edit: true
      envKey: TIME_ZONE
      labelEn: Time zone
      labelZh: 时区
      label:
        en: Time zone
        ja: タイムゾーン
        ms: Zon masa
        pt-br: Fuso horário
        ru: Часовой пояс
        ko: 시간대
        zh: 时区
        zh-Hant: 時區
      required: true
      type: text
